Index: test/sasrealspace/test/early_test.py
===================================================================
--- test/sasrealspace/test/early_test.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasrealspace/test/early_test.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import VolumeCanvas
@@ -30,16 +31,16 @@
         t_0 = time.time()
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0)
+        print("density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0))
         
         t_0 = time.time()
         canvas.setParam('lores_density', 1)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0)
+        print("density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0))
         
         t_0 = time.time()
         canvas.setParam('lores_density', 0.01)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0)
-        print
+        print("density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0))
+        print()
     
     
@@ -63,5 +64,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
     
 def test_2():
@@ -73,5 +74,5 @@
     shell_vol = 4.0/3.0*math.pi*outer_radius*outer_radius*outer_radius - core_vol
     shell_sld = -1.0*core_vol/shell_vol
-    print "Shell SLD", shell_sld
+    print("Shell SLD", shell_sld)
 
     
@@ -126,5 +127,5 @@
         ana_1 = sphere.run(q)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
         out.write( "%g  %g  %g\n" % (q, sim_1, ana_1))
 
@@ -168,5 +169,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
 
 def test_5():
@@ -193,5 +194,5 @@
     ana = ana.runXY([0.1, 0.1])
     sim = model.getIq2D(0.1, 0.1)
-    print ana, sim, sim/ana, ana/sim
+    print(ana, sim, sim/ana, ana/sim)
 
 def test_6():
@@ -232,5 +233,5 @@
     
     
-    print model.npts
+    print(model.npts)
     for i in range(40):
         qmax = 0.5
@@ -240,9 +241,9 @@
         anaY = ana.runXY([0, qmax*i/40.0])
         simY = model.getIq2D(0, qmax*i/40.0)
-        print anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY
+        print(anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY)
     
 def test_7():
     from sas.models.CoreShellModel import CoreShellModel
-    print "Testing core-shell"
+    print("Testing core-shell")
     radius = 15
     thickness = 5
@@ -287,5 +288,5 @@
         ana_val = ana.runXY([q, 0.2])
         sim_val, err = canvas.getIq2DError(q, 0.2)
-        print ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err
+        print(ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err)
     
     
Index: test/sasrealspace/test/sim_validation.py
===================================================================
--- test/sasrealspace/test/sim_validation.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ test/sasrealspace/test/sim_validation.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -5,11 +5,13 @@
     @license: This software is provided as part of the DANSE project
 """
+from __future__ import print_function
+
 import math, time, pylab
 
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
@@ -250,6 +252,6 @@
         ana = validator.run_ana(q)
         sim, err = validator.run_sim(q)
-        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
+        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
     output.close()
@@ -278,8 +280,8 @@
         ana = validator.run_ana2D(q*math.cos(phi), q*math.sin(phi))
         sim, err = validator.run_sim2D(q*math.cos(phi), q*math.sin(phi))
-        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
+        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
-    print "Time elapsed: ", time.time()-t_0
+    print("Time elapsed: ", time.time()-t_0)
     output.close()
        
@@ -306,7 +308,7 @@
     for d in d_list:
         sim, err = validator.run_sim(q, density=d)
-        print "d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
+        print("d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
             (d, ana, sim, err, (sim-ana), (sim-ana)/ana, 
-             str(math.fabs(sim-ana)>err))
+             str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g \n" % (d, ana, sim, err))
     output.close()
Index: test/sasrealspace/test/utest_oriented.py
===================================================================
--- test/sasrealspace/test/utest_oriented.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasrealspace/test/utest_oriented.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -3,4 +3,5 @@
     @copyright: University of Tennessee, for the DANSE project
 """
+from __future__ import print_function
 
 import unittest, math, sys
@@ -16,9 +17,9 @@
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
-    print sys.exc_value
+    print(sys.exc_value)
     #testing the version that is working on
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
  
@@ -241,5 +242,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -395,5 +396,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -407,5 +408,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -419,5 +420,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -431,5 +432,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
Index: test/sasrealspace/test/utest_realspace.py
===================================================================
--- test/sasrealspace/test/utest_realspace.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
+++ test/sasrealspace/test/utest_realspace.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -3,4 +3,5 @@
     @author: Mathieu Doucet / UTK
 """
+from __future__ import print_function
 
 import unittest, math, time
@@ -15,10 +16,10 @@
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
     import sys
-    print sys.exc_value
+    print(sys.exc_value)
     #testing the version that is working on
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
